## active-desktop-sp 0.1

=== Makefile ===
HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
BUILDDIR=build
OBJS=build/active-desktop-sp.o
SOURCES=src/active-desktop-sp.c
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

DATA_FILE=data/active-desktop-sp.desktop
ICON_PATH=/usr/share/pixmaps/active-desktop-sp
ICON1=data/icons/active_desktop_1.png
ICON2=data/icons/active_desktop_2.png
ICON3=data/icons/active_desktop_3.png
ICON4=data/icons/active_desktop_4.png
ICON5=data/icons/active_desktop_5.png
ICON6=data/icons/active_desktop_6.png
ICON7=data/icons/active_desktop_7.png
ICON8=data/icons/active_desktop_8.png
ICON9=data/icons/active_desktop_9.png
LIB=$(BUILDDIR)/active-desktop-sp.so



all: $(LIB)

install: 
	install -d $(DESTDIR)/$(LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 $(DATA_FILE) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -d $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON1) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON2) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON3) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON4) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON5) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON6) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON7) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON8) $(DESTDIR)/$(ICON_PATH)
	install -m 644 $(ICON9) $(DESTDIR)/$(ICON_PATH)



$(LIB): $(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

$(OBJS):$(SOURCES)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@


.PHONY: clean all

clean:
	rm $(OBJS)

=== debian/changelog ===
active-desktop-sp (0.1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 30 Oct 2010 19:33:54 +0200

=== debian/control ===
Source: active-desktop-sp
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5),  libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libgconf2-dev
Standards-Version: 3.7.2
Section: user/desktop

Package: active-desktop-sp
Architecture: any
Depends: ${shlibs:Depends}
Description: Active Desktop Statusbar plugin
 Shows the number of the active desktop in the
 statusbar area.
XB-Maemo-Display-Name:Active Desktop Statusbar Icon
XSBC-Bugtracker: mailto:nicolaihess@web.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oKHhIOM7v2lmIAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAMIklEQVRo3qWaT4hc2XXGf12+2KegZN6DFtQDjdETTnA1Mwnd
 2As1ZOE2BKZFNhIKjERWs5tRvJjJKoghBCWLeLwZW87CtLMI480wmkXoNgSs
 zUB3YEBaxKgGxlBaCF5DN7kFKaiDuUxncf++Kg0DcS26+tV79d655893vu/c
 2qg2xxcAYgCnAKgTxIA6De8gRlAHGBCU+De+BNDweTp2CkbAKRLekXA/JFwP
 OBARVPvXr513IEa9fQxRZ9moNqsLccXFeCNBwAFGkcK8ZLDDHxt/FqfwksXi
 NHxbwGi4J72XBKf5V3BaeUE4J6awwfn7DZInjI+CGEEc+WZhIRqMTseGnqc1
 PF+qFkbDFCkx4YTxCxERcGHRxEjEZ4fFI4ipESf+eSY4BxBq/z0ZIsDGeHN8
 oc4b6z0mxf/wEl/lKDkJIaUfPReuNTnRfERW0iN+L30eItV7abJJwj1zHIRB
 NEhEsgFGwkoleTB70nstp1Uw1EhOPXwNCYoaSWlFqAkNxki8f1xUdJ6Ly9Ac
 PVOHqPuF+0xQXwMxn2LBlB6Oebual/26kFQDKS1SVKWol1gDxfVuNXI5esm5
 bt3z8ZwRBDX5REQfQu7FGsmlKD7njeaFOO/p7En/ddtZ/phXXdf+fqZEtxp1
 NmWCydCn3lMpEgX0FR7WYhHgr08oFDPe5Pyu6zp718SiZ72OyOcE6KwtvB49
 LhCMj9kyKNFGQ7WnnEbREk1CcWqBLv57PpfFaA470jdSpFhgUVMS+04N1Alt
 MiiEyCJIjHSoH0UZRE9pLBz1N9/a3uL+Pz7Anlk6a+nOOqy12PB+/7377F7f
 TWiipWfp9xWPVL44KSHaAapgFFWLmuVKn6gp7Yt9xT/Po9Ygoo9HEeHBPz+g
 6zp++5+/ZWd7h1v7N2jahmuvXKN55RrXXrnG7vVdmisNh0eH2DPL3TduUeBP
 0YsjzktCqX4k8Z4vUEokGy3YdE8KO8XkZrtRVeMLDLRXGp48fQLAyX+dcPP2
 TVQzvcCU3dfnX13VPPiX97lz+ya//ujXvPvjd1MOK4o9s9SX67XitGe5uJu6
 LtIyppPSnVnqy01OmwDBK7FlQMjb++/dB+Dej++x//o+KEy+23Lwq4OQOj6V
 rLUc/OKA3eu7LBeWt996k3tv3ePO7Tvc//v7Ph1i0yEXW/S8INSXa5rLTQCB
 iPO5I6c0C8ZLBBTiYiShn4kPePOdBxz824ccf/qYZtxw+JtD2qstP/3ZT9nZ
 3qE77xgyBIF333mXw6NDZi9OufH6Hh9/9CHdueX408f+4Y4eEcMEolbUWulH
 ZbXJ9Qs4gjlFb4n0Z2Mc2Khutsj5jLqqefbFMwB2r+8y+/2M4hYJ0NorDR9/
 8jHt1ZYb+zc4/uw4eToa0Z1ZmstNYpEUtRFTzJ/PTS1Gwp51NJcDMrFMEaEk
 iqinEorC6RQFunnHo48esbW9xfTzKbdu3+LJ0ycehc46urOOu2/cYvZ8xo9+
 +CNmz2c8mc4Kb3ruEs31/cIvScPnJQ/SkncZyWgYIqNuGSwMVBuNPkAQNsab
 1YUWHZVAqMTAww8ecvP2Te7eucvJyQlLt2TntR0Ojw45fXHK5LUJCIjmhxNz
 3UB31vlC7FOzlfN1ogqJWznFWusLvLBHVUFqcDYQuyEmogamZBpD1C3BwLU/
 2cKed0xenQBwfHJM0zQcnxwHkRESrCg8jPQyPBkdUcjaNURqLjfputQHEmvV
 rDPU5lpxWtDpgttkqBwiZsnxyTHt1RaA0xenbG9PkqcSrkelVHjS53GTwi8u
 c5pMEhLhDrTCp521HoLXzw8TnVBgEHM0cfjUkT0ut1fbZDzA+MqYre9Ncs4G
 uqFJMcU0KGug4FSkqssd22mxqJLVxpTLSk6dzfoCGCQlJrX/QiykEK7hcLjW
 iJYMvSfIaROVmpDFSRAamWtBTwskgmaiNqCIEFl5R6UYIdRIivxGVVUXWcMO
 ARtYafbB9OmU8ZUxALPnM3Z/sNNTYclTPTWmvY77/6XTCXlihzd9/eFrIMsS
 KPh2Fieainj2eegLxl+Xm/vqNKIvbqSoES2uk0KhqSumIyaz3kjdpUcUoyKr
 qot0U5fpb4m7maeL98B4CxYdMrcZvdI0QpOnpFBOvYglyF3V4FJEcYX7RCWX
 mROCMoiQl3M0cpLi4ZQdVuF8hiwsaoao8bWThHqpEwqaLXH8EkctQR+kpmSK
 bhG4kQSAiHMhCqCPTh1QcgzK6USBTCtzHxxo1SKbLYyq3F0jkqxwGjGsoFOo
 uc021F3u2LigE6Jd0fNaYlieH5me5o1DrKr1F82nQS4Kne2Sgx7+6wHH0ylP
 P3uKndeomyW6TeoLUW4WTc2UclRgPkPcMFeg0f5AYKUvqYPa1FhnE8UOk7lc
 3e8b2JGaPaeI2kScvgpRZi9OuffW2xyfPE56QQpa4fk8abqgaxM20vhybRYV
 067oG6vHG9Xm+EKKGeZR1dAAFtibd2GlYIsIvOzVNE2vaUVWmcYyozo41fp3
 U0wzykFBeVwOHKRGddmPjMNrYjVRPMD+vKPzYMpRVYfc16/F7Mj3e7WChucJ
 ulh6Zhmep0VB9zRvD7Uka+DRGKpSI3s0GsSOqTFcImERQoNwXDXFrBSvif/y
 Bv/0k4f9FSQWKiXtLyZvBX6ExSV0SiOX2jOCoh+kieH8FDnvvGZGkNEQRsLG
 uKou1BRtvQjR0aimQemAyX8cIq9OEv2N86Nm3HDwywMvQ3uoU/RoV3xesM21
 Eftmg7oKFtPc43sTvDi6EdQMwQgb1bi6WOfzPud2tie8/8WM2oFUFfLvB7Q/
 3C36hvY0b9LCRSftz/8j680jeTUC4y1k3qHa9Tpyr3RN3m8QVc+xfCceX/hC
 k3Tz5LXNFhZzHovQoEhV0T6fAlXuF705PusTjJhe5TQa6SPRqIVFV8xXJXXb
 +JkE+7QXVSn0gAQKLQKqCX1iLk6vTtD5vIdOvmZq7ym1a2mR+gIrOz+rkVvj
 TuVCCmHU26nx9vrpNP0ZZT2q2Xt9n+2JJ3CPPjni8IP30b95E52f0gH7wQat
 WnBLOJ/2p87RnHIy3cPxXMyZcWUOBNqj1hTpmaJgig2OWHh337jFzz/4+cuh
 8ndTpn91iwb8IuZdsVPzElzfbLxenndFDhescvW4xzXXWXGaC4VMUQ1sNFZ5
 e7VN07mvbFh1HZqdR6e9eZeHUqWOkCH7f7HH4/+eoafPVppT7XUHfVRaY6Zl
 RFbQKJ4bSJHrTdN8vcrY3GHfSdEn2p5gl4L9HD2dMVx0OfwoMmqgGhc1USg5
 tM9a0UKJhT26OAUP89FBmvM7sP/79QpKnYVRzb7TXsfWsqMDLCycP8HObVa7
 TtBFhyxmidytduI45Sj3I0p+pGhB9sTrgbgXNv3dlEefPPpK4++983fsXd9h
 a9JC1aaOfXdus+dkdU9N025j4qWaNXS5HyHFVCNPsQt0MnECnjt82CPr755M
 Xp1w96/v8vbfvs3s+Yyj3xzx8Fcf0s1hd7ulW0A3PUEXy9S00p6y6dNhSpbZ
 240sZ0Bx9im9ras45YtOKJtZvP/G+Pv7FzrvkPlsZZNa+7hctX6R8zm4JbrZ
 pGN1S/845/eJdTHLLDLuUo63fNDPZ35otjohMo03VATmXer2scC9kOrvO6vC
 YOuVJiskU4hIIzBqc9NZzJDzDrB50y2yxFGT94EXM++tcog13mLvtdanV5KG
 GvI9plW3wmpzvqfdnVQDGmgJfGN53v2DW8wRY3ByCao/BbXIYIhTG3bSBMGg
 A8UZQf5gMN+5hvv2JaRpMOcLjFtgHDAwMFDMQHBOcZt/xt6ft1wSGH7rEmfD
 Ee5/5siXYL50uIEADhkIThfwJRgc5puC+dL47HMOMYL5psENDOIcxgjGGYy6
 Qky4Icyf+XRQLeYwAQnER4UR7LUVQxlidcljU07X6OkCzp/x+MTClZb9VrBO
 6JyvHa0aH7V519fU5I09LUcsLlP/fidGoZogbQPTp+jCrndMEZAakcY/cCRI
 O4GzObx4kgpOVrZGJW5ubE5gVCPnU1RDExu1/j3CasF1enJz9X5pkwQ2xlcn
 Fyw6dDTxHptP++gRfsCh2sGCQp3lXRNd2VGh98sU6e8/r/0KRfu/bil+YiCm
 BrU9uqLFnAoD/wfs0ojYLK2ZqQAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/active-desktop-sp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
